> For the complete documentation index, see [llms.txt](https://archive-vn.docs.klaytn.foundation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://archive-vn.docs.klaytn.foundation/content/dapp/tutorials/klaystagram/7.-feedpage.md).

# 7. Trang thông tin

![Trang thông tin](/files/CtwHdsjKZ6Xk83T3KWjp)

FeedPage chứa 3 thành phần chính tương tác với hợp đồng `Klaystagram`.

[7-2. Thành phần](/content/dapp/tutorials/klaystagram/7.-feedpage/7-2.-uploadphoto-component.md)`UploadPhoto`\
[7-3. Thành phần](/content/dapp/tutorials/klaystagram/7.-feedpage/7-3.-feed-component.md)`Feed`\
[7-4. Thành phần](/content/dapp/tutorials/klaystagram/7.-feedpage/7-4.-transferownership-component.md)`TransferOwnership`

```javascript
// src/pages/FeedPage.js

const FeedPage = () => (
  <main className="FeedPage">
    <UploadButton />               // 7-2. UploadPhoto
    <Feed />                       // 7-3. Feed
  </main>
)
```

```javascript
// src/components/Feed.js

<div className="Feed">
  {feed.length !== 0
    ? feed.map((photo) => {
      // ...
      return (
        <div className="FeedPhoto" key={id}>

            // ...
            {
              userAddress.toUpperCase() === currentOwner.toUpperCase() && (
                <TransferOwnershipButton   // 7-4. TransferOwnership
                  className="FeedPhoto__transferOwnership"
                  id={id}
                  issueDate={issueDate}
                  currentOwner={currentOwner}
                />
              )
            }
            // ...
        </div>
      )
    })
    : <span className="Feed__empty">Không có ảnh :D</span>
  }
</div>
)
```

Có 3 bước để khiến thành phần tương tác với hợp đồng.

**First**, tạo phiên bản `KlaystagramContract` để kết nối hợp đồng với giao diện. **Second**, dùng phiên bản `KlaystagramContract`, tạo các hàm API tương tác với hợp đồng trong `redux/actions`\
**Third**, gọi các hàm trong mỗi thành phần

Hãy cùng nhau xây dựng nào!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://archive-vn.docs.klaytn.foundation/content/dapp/tutorials/klaystagram/7.-feedpage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
